<?php
/** Load the Core Files */
require_once( trailingslashit( get_template_directory() ) . 'lib/init.php' );
new Canyon();

/** Do theme setup on the 'after_setup_theme' hook. */
add_action( 'after_setup_theme', 'canyon_theme_setup' );

/** Theme setup function. */
function canyon_theme_setup() {
	
	/** Add theme support for core framework features. */
	add_theme_support( 'canyon-core-menus', array( 'canyon-primary-menu' ) );
	add_theme_support( 'canyon-core-sidebars', array( 'canyon-primary-sidebar' ) );
	add_theme_support( 'canyon-core-featured-image' );
	add_theme_support( 'canyon-core-custom-header' );
	
	/** Add theme support for Automatc Feed Links. */
	add_theme_support( 'automatic-feed-links' );	
	
	/** Add theme support for Custom Background. */
	if ( function_exists( 'get_custom_header' ) ) {
		add_theme_support( 'custom-background', array( 'default-color' => '333' ) );
	} else {
		add_custom_background();
	}
	
	/** Set content width. */
	canyon_set_content_width( 620 );
	
	/** Add custom image sizes. */
	add_action( 'init', 'canyon_add_image_sizes' );	

}

/** Adds custom image sizes */
function canyon_add_image_sizes() {
	add_image_size( 'featured', 620, 255, true );
}
?>